---
lang: en
title: 'API docs: typeorm.typeormcomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/typeorm
permalink: /doc/en/lb4/apidocs.typeorm.typeormcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/typeorm](./typeorm.md) &gt; [TypeOrmComponent](./typeorm.typeormcomponent.md)

## TypeOrmComponent class

<b>Signature:</b>

```typescript
export declare class TypeOrmComponent implements Component 
```
<b>Implements:</b> [Component](./core.component.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(options)](./typeorm.typeormcomponent._constructor_.md) |  | Constructs a new instance of the <code>TypeOrmComponent</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [bindings](./typeorm.typeormcomponent.bindings.md) |  | [Binding](./context.binding.md)<!-- -->\[\] |  |
|  [lifeCycleObservers](./typeorm.typeormcomponent.lifecycleobservers.md) |  | (typeof [TypeOrmLifeCycleManager](./typeorm.typeormlifecyclemanager.md)<!-- -->)\[\] |  |


